//
//  XHJTableAlert.h
//  TableAlertDemo-master
//
//  Created by SiYugui on 2017/9/5.
//  Copyright © 2017年 SiYugui. All rights reserved.
//

#import <UIKit/UIKit.h>

@class XHJTableAlert;

///----------------------
/// @block Definition for table view management
///----------------------

typedef NSInteger (^TableAlertNumberRowBlock)(NSInteger row);
typedef UITableViewCell* (^TableAlertTableCellBlock)(XHJTableAlert *tableAlert, NSIndexPath *indexPath);
typedef void (^TableAlertRowSelectBlock)(NSIndexPath *indexPath);
typedef void (^TableAlertCompletionBlock)(void);

@interface XHJTableAlert : UIView

/**
 * The height with View,It should be more than the DefaultHeight(MinHeight)
 */

@property (nonatomic,assign) CGFloat height;

@property (nonatomic,strong) UITableView *tableView;
///---------------------
/// @name Initialization
///---------------------

/**
 * Creates and returns an `Alert` object.
 */
+(XHJTableAlert *)tableAlertWithTitle:(NSString *)title cancelButtonTitle:(NSString *)cancelTitle numberOfRows:(TableAlertNumberRowBlock)rowBlock andCell:(TableAlertTableCellBlock)cellsBlock;

/**
 * Initialization method; rowBlock and cellBlock Must Not be nil.
 */
-(id)initTableAlertWithTitle:(NSString *)title cancelButtonTitle:(NSString *)cancelTitle numberOfRows:(TableAlertNumberRowBlock)rowBlock andCell:(TableAlertTableCellBlock)cellsBlock;

///---------------------
/// @name Method
///---------------------

// Allows you to perform custom actions when a row is selected or the cancel button is pressed
-(void)configureSelectionBlock:(TableAlertRowSelectBlock)selectionBlock andCompletionBlock:(TableAlertCompletionBlock)completionBlock;

// Show the alert
-(void)show;

@end
